import request from "@/api/request.js";

// 基本信息-根据法案ID获取法案信息
/**
 * @param {id} 
 */
export function getBillInfo(params) {
    return request({
        method: 'GET',
        url: `/api/billInfoBean/info/${params.id}`,
        params,
    })
}

// 提出人-根据动议ID获取对应的提出人信息
/**
 * @param {id} 
 * @header token
 */
export function getBillPerson(params) {
    return request({
        method: 'GET',
        url: `/api/billInfoBean/person/${params.id}`,
        params,
    })
}

// 法案进程、相关事件（最新进展）-根据法案ID获取事件信息
/**
 * @param {id} 
 * @header token
 */
export function getBillEvent(params) {
    return request({
        method: 'GET',
        url: `/api/billInfoBean/event/${params.id}`,
        params,
    })
}

// 法案进程（前期进展）-根据法案ID获取动议流程
/**
 * @param {id} 
 * @header token
 */
export function getBillDyqk(params) {
    return request({
        method: 'GET',
        url: `/api/billInfoBean/dyqk/${params.id}`,
        params,
    })
}

// 立法背景-根据法案ID获取背景内容
/**
 * @param {id,cRelated,currentPage,pageSize} 
 * @header token
 */
export function getBillBackground(params) {
    return request({
        method: 'GET',
        url: `/api/billInfoBean/background/${params.id}`,
        params,
    })
}

// 议员相关性-根据法案ID获取议员分析信息（现在只包括名称 支持 反对，没有标签和事件动态）
/**
 * @param {id, isOppose} 
 * @header token
 */
export function getBillPersonAnalyze(params) {
    return request({
        method: 'GET',
        url: `/api/billInfoBean/personAnalyze/${params.id}`,
        params,
    })
}

// 主要条款-根据法案ID获取原文id列表
/**
 * @param {id} 
 * @header token
 */
export function getBillContentId(params) {
    return request({
        method: 'GET',
        url: `/api/billInfoBean/contentId/${params.id}`,
        params,
    })
}

// 主要条款-根据原文ID获取条款内容
/**
 * @param {id,cRelated,currentPage,pageSize} 
 * @header token
 */
export function getBillContentTk(params) {
    return request({
        method: 'GET',
        url: `/api/billInfoBean/content/tk/${params.id}`,
        params,
    })
}

// 限制方式-根据法案原文ID获取限制方式列表
/**
 * @param {id} 
 * @header token
 */
export function getBillContentXzfs(params) {
    return request({
        method: 'GET',
        url: `/api/billInfoBean/content/xzfs/${params.id}`,
        params,
    })
}

// 涉及行业-根据法案原文ID获取行业领域列表
/**
 * @param {id} 
 * @header token
 */
export function getBillHyly(params) {
    return request({
        method: 'GET',
        url: `/api/billInfoBean/content/hyly/${params.id}`,
        params,
    })
}